# Class: File

Defined in: | lib/psd/file.coffee

## Instance Method Summary

- # (void) tell()
- # (void) read(length)
- # (void) readf(format, len = null)
- # (void) seek(amt, rel = false)
- # (void) readString(length)
- # (void) readUnicodeString(length = null)
- # (void) readByte()
- # (void) readBoolean()
- # (void) readSpaceColor() Reads a 32-bit color space value.
- # (void) readPathNumber() Adobe's lovely signed 32-bit fixed-point number with 8bits.24bits http://www.adobe.com/devnet-apps/photoshop/fileformatashtml/PhotoshopFileFormats.htm#50577409_17587

## Constructor Details

# (void) constructor(data)

## Instance Method Details

# (void) tell()

# (void) read(length)

# (void) readf(format, len = null)

# (void) seek(amt, rel = false)

# (void) readString(length)

# (void) readUnicodeString(length = null)

# (void) readByte()

# (void) readBoolean()

# (void) readSpaceColor()

Reads a 32-bit color space value.

# (void) readPathNumber()

Adobe's lovely signed 32-bit fixed-point number with 8bits.24bits http://www.adobe.com/devnet-apps/photoshop/fileformatashtml/PhotoshopFileFormats.htm#50577409_17587

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input